# Method Stdio.File()->close()

Method close

  ``int` close()`
  ``int` close(`string` `direction`)`

Description

  Close the file. Optionally, specify "r", "w" or "rw" to close just the read, just the write or both read and write directions of the file respectively.

  An exception is thrown if an I/O error occurs.

Returns

  Nonzero is returned if the file wasn't open in the specified direction, zero otherwise.

Note

  This function will not call the `close_callback`.

See also

  open, open_socket